org.codehaus.jackson.map.ser

## Class StdSerializers.SerializableSerializer

- java.lang.Object
- - org.codehaus.jackson.map.JsonSerializer<T>
  - - org.codehaus.jackson.map.ser.std.SerializerBase<T>
    - - org.codehaus.jackson.map.ser.SerializerBase<JsonSerializable>
      - - org.codehaus.jackson.map.ser.std.SerializableSerializer
        - - org.codehaus.jackson.map.ser.StdSerializers.SerializableSerializer

- All Implemented Interfaces:
    SchemaAware
  Enclosing class:
    StdSerializers

  Deprecated.
  Since 1.9, use `DateSerializer` instead

      @Deprecated
      public static final class StdSerializers.SerializableSerializer
      extends SerializableSerializer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.JsonSerializer

      `JsonSerializer.None`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.jackson.map.ser.std.SerializableSerializer

      `instance`

    - ### Fields inherited from class org.codehaus.jackson.map.ser.std.SerializerBase

      `_handledType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StdSerializers.SerializableSerializer()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.codehaus.jackson.map.ser.std.SerializableSerializer

      `getSchema, serialize, serializeWithType`

    - ### Methods inherited from class org.codehaus.jackson.map.ser.std.SerializerBase

      `createObjectNode, createSchemaNode, createSchemaNode, handledType, isDefaultSerializer, wrapAndThrow, wrapAndThrow, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class org.codehaus.jackson.map.JsonSerializer

      `isUnwrappingSerializer, unwrappingSerializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StdSerializers.SerializableSerializer

          public StdSerializers.SerializableSerializer()

      Deprecated.